Subject: git clone through http bug?

From: Sergei Organov <[email-masked]>
Date: Thu, 14 Feb 2008 20:27:22 +0300

Hello,

I've just cloned the public repo (it's rather small):

$ git clone http://ydirson.free.fr/soft/git/cvsps.git

and it has created cvsps/.git, but no working copy. When I examine the
contents, I also notice that while the file .git/HEAD has:

ref: refs/heads/master

there is no .git/refs/heads/master file (the directory .git/refs/heads
is empty).

Now, if I first clone the original repository as --bare, and then make a
usual local clone from it, the local clone looks file:

$ git clone --bare http://ydirson.free.fr/soft/git/cvsps.git
$ git clone cvsps.git cvsps.cloned

Is it a problem with clone over http, a problem with the repository, or
it's me who does something wrong?

-- Sergei.